Subject: [clisp-list] RE: clisp-list digest, Vol 1 #219 - 13 msgs

From: "Ribeiro, Glauber" <[email-masked]>
Date: Tue, 12 Jun 2001 12:16:16 -0700

> Date: Mon, 11 Jun 2001 15:36:49 -0500
> To: [email-masked]
> From: Bruce Lambert <[email-masked]>
> Subject: [clisp-list] how to avoid stack overflow error?
> 
> [...]
> 
> When I run it under clisp-2.26, I get a stack overflow error as follows:
> 
> *** - Program stack overflow. RESET
> Real time: 32.24 sec.
> Run time: 32.24 sec.
> Space: 46003476 Bytes
> GC: 24, GC time: 5.65 sec.
> 
> What can I do to increase my stack size or otherwise manage this memory 
> problem?

Did you try compiling your program? (compile-file "filename") or use the -C
(load-compiling) commandline switch. This doesn't increase the stack, but it
does some optimizations that may help your problem.

g